.PHONY: clean
clean:
	rm -rf ./logs/*

.PHONY: format
format:
	# pip install black==20.8b1
	black .

.PHONY: rm-pycache
rm-pycache:
	find . -type f -name '*.py[co]' -delete -o -type d -name __pycache__ -delete

.PHONY: test-utils
test-utils:
	pytest expground/utils/tests

.PHONY: test-learning
test-learning:
	pytest expground/learner/tests

.PHONY: test-all
test-all:
	make test-utils
	make test-learning